# Renew a Physical Card
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/card-lifecycle/renew-pc/index.md

## Overview {#overview}

This use case describes the internal process to renew a physical card with automatic card renewal when the expiry date of the card is approaching. The automatic renewal process is managed by the Mastercard Processing CMS and can be defined during onboarding configuration.

## Sequence diagram {#sequence-diagram}

Diagram renew-pc-new

### Explanation {#explanation}

1. The server sends a `POST` request to the `/cards/{card_contract_id}/plastics` endpoint by passing the `RENEW` value in the `reissueType` field in the request body.
2. The API sends a response with the `newCardExpiryDate`, `plasticId`, and `newSequenceNumber` values of the newly created virtual card. Note: Refer to the [Expiry Date Rule](https://developer.mastercard.com/mastercard-processing-core/documentation/guides/card-renewal/index.md#expiry-date-rule) to learn about how the expiry date is calculated by the CMS if you do not pass it in the request.
3. The CMS changes the `productionStatus` field value to `Marked` in the card contract object. Refer to [Card Contract Production Status](https://developer.mastercard.com/mastercard-processing-core/documentation/guides/status-changes/index.md#card-contract-production-status) for more information. Note: In this use case, the PIN is inherited from the old card.
4. The CMS generates an encrypted personalization file and uploads it to the SFTP of the personalization bureau.
5. The personalization bureau downloads the personalization file from the Mastercard Processing SFTP.
6. The personalization bureau produces a physical card based on the personalization file.
7. The personalization bureau generates a report in response to the received personalization file. The report is sent to Mastercard Processing and uploaded to the SFTP in your dedicated directory.
8. You can download the personalization report from your dedicated SFTP. The sensitive data is masked in the report. Note: Refer to [Personalization Process](https://developer.mastercard.com/mastercard-processing-core/documentation/guides/issuing-card/index.md#personalization-process) for more information about the personalization file and report.
9. The physical card is delivered to the cardholder. Tip: The cardholder must activate the card once it is delivered. Refer to the [Activate a Card](https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/card-lifecycle/activate-a-card/index.md) use case for more information. Before activation, the `plasticId` of the newly created physical card is set to `Locked` status to prevent unauthorized card use. Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/card-lifecycle-management/renew-card/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `POST /cards/{card_contract_id}/plastics`

